Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network100.64.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
100.64.0.0
Broadcast address
100.95.255.255
First usable
100.64.0.1
Last usable
100.95.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Shared address space (CGNAT) 100.64.0.0/10
Used by providers behind carrier-grade NAT (RFC 6598)
Old class
A (default /8)
As numbers
Hex 64400000 · Integer 1681915904 to 1684013055
Reverse DNS zones
64.100.in-addr.arpa
65.100.in-addr.arpa
66.100.in-addr.arpa
67.100.in-addr.arpa
68.100.in-addr.arpa
69.100.in-addr.arpa
70.100.in-addr.arpa
71.100.in-addr.arpa
72.100.in-addr.arpa
73.100.in-addr.arpa
74.100.in-addr.arpa
75.100.in-addr.arpa
76.100.in-addr.arpa
77.100.in-addr.arpa
78.100.in-addr.arpa
79.100.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100100.01000000.00000000.00000000100.64.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network01100100.01000000.00000000.00000000100.64.0.0
Broadcast01100100.01011111.11111111.11111111100.95.255.255
Split into smaller subnets/18

100.64.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1100.64.0.0/18100.64.0.1 to 100.64.63.254100.64.63.25516,382
2100.64.64.0/18100.64.64.1 to 100.64.127.254100.64.127.25516,382
3100.64.128.0/18100.64.128.1 to 100.64.191.254100.64.191.25516,382
4100.64.192.0/18100.64.192.1 to 100.64.255.254100.64.255.25516,382
5100.65.0.0/18100.65.0.1 to 100.65.63.254100.65.63.25516,382
6100.65.64.0/18100.65.64.1 to 100.65.127.254100.65.127.25516,382
7100.65.128.0/18100.65.128.1 to 100.65.191.254100.65.191.25516,382
8100.65.192.0/18100.65.192.1 to 100.65.255.254100.65.255.25516,382
9100.66.0.0/18100.66.0.1 to 100.66.63.254100.66.63.25516,382
10100.66.64.0/18100.66.64.1 to 100.66.127.254100.66.127.25516,382
11100.66.128.0/18100.66.128.1 to 100.66.191.254100.66.191.25516,382
12100.66.192.0/18100.66.192.1 to 100.66.255.254100.66.255.25516,382
13100.67.0.0/18100.67.0.1 to 100.67.63.254100.67.63.25516,382
14100.67.64.0/18100.67.64.1 to 100.67.127.254100.67.127.25516,382
15100.67.128.0/18100.67.128.1 to 100.67.191.254100.67.191.25516,382
16100.67.192.0/18100.67.192.1 to 100.67.255.254100.67.255.25516,382
17100.68.0.0/18100.68.0.1 to 100.68.63.254100.68.63.25516,382
18100.68.64.0/18100.68.64.1 to 100.68.127.254100.68.127.25516,382
19100.68.128.0/18100.68.128.1 to 100.68.191.254100.68.191.25516,382
20100.68.192.0/18100.68.192.1 to 100.68.255.254100.68.255.25516,382
21100.69.0.0/18100.69.0.1 to 100.69.63.254100.69.63.25516,382
22100.69.64.0/18100.69.64.1 to 100.69.127.254100.69.127.25516,382
23100.69.128.0/18100.69.128.1 to 100.69.191.254100.69.191.25516,382
24100.69.192.0/18100.69.192.1 to 100.69.255.254100.69.255.25516,382
25100.70.0.0/18100.70.0.1 to 100.70.63.254100.70.63.25516,382
26100.70.64.0/18100.70.64.1 to 100.70.127.254100.70.127.25516,382
27100.70.128.0/18100.70.128.1 to 100.70.191.254100.70.191.25516,382
28100.70.192.0/18100.70.192.1 to 100.70.255.254100.70.255.25516,382
29100.71.0.0/18100.71.0.1 to 100.71.63.254100.71.63.25516,382
30100.71.64.0/18100.71.64.1 to 100.71.127.254100.71.127.25516,382
31100.71.128.0/18100.71.128.1 to 100.71.191.254100.71.191.25516,382
32100.71.192.0/18100.71.192.1 to 100.71.255.254100.71.255.25516,382
33100.72.0.0/18100.72.0.1 to 100.72.63.254100.72.63.25516,382
34100.72.64.0/18100.72.64.1 to 100.72.127.254100.72.127.25516,382
35100.72.128.0/18100.72.128.1 to 100.72.191.254100.72.191.25516,382
36100.72.192.0/18100.72.192.1 to 100.72.255.254100.72.255.25516,382
37100.73.0.0/18100.73.0.1 to 100.73.63.254100.73.63.25516,382
38100.73.64.0/18100.73.64.1 to 100.73.127.254100.73.127.25516,382
39100.73.128.0/18100.73.128.1 to 100.73.191.254100.73.191.25516,382
40100.73.192.0/18100.73.192.1 to 100.73.255.254100.73.255.25516,382
41100.74.0.0/18100.74.0.1 to 100.74.63.254100.74.63.25516,382
42100.74.64.0/18100.74.64.1 to 100.74.127.254100.74.127.25516,382
43100.74.128.0/18100.74.128.1 to 100.74.191.254100.74.191.25516,382
44100.74.192.0/18100.74.192.1 to 100.74.255.254100.74.255.25516,382
45100.75.0.0/18100.75.0.1 to 100.75.63.254100.75.63.25516,382
46100.75.64.0/18100.75.64.1 to 100.75.127.254100.75.127.25516,382
47100.75.128.0/18100.75.128.1 to 100.75.191.254100.75.191.25516,382
48100.75.192.0/18100.75.192.1 to 100.75.255.254100.75.255.25516,382
49100.76.0.0/18100.76.0.1 to 100.76.63.254100.76.63.25516,382
50100.76.64.0/18100.76.64.1 to 100.76.127.254100.76.127.25516,382
51100.76.128.0/18100.76.128.1 to 100.76.191.254100.76.191.25516,382
52100.76.192.0/18100.76.192.1 to 100.76.255.254100.76.255.25516,382
53100.77.0.0/18100.77.0.1 to 100.77.63.254100.77.63.25516,382
54100.77.64.0/18100.77.64.1 to 100.77.127.254100.77.127.25516,382
55100.77.128.0/18100.77.128.1 to 100.77.191.254100.77.191.25516,382
56100.77.192.0/18100.77.192.1 to 100.77.255.254100.77.255.25516,382
57100.78.0.0/18100.78.0.1 to 100.78.63.254100.78.63.25516,382
58100.78.64.0/18100.78.64.1 to 100.78.127.254100.78.127.25516,382
59100.78.128.0/18100.78.128.1 to 100.78.191.254100.78.191.25516,382
60100.78.192.0/18100.78.192.1 to 100.78.255.254100.78.255.25516,382
61100.79.0.0/18100.79.0.1 to 100.79.63.254100.79.63.25516,382
62100.79.64.0/18100.79.64.1 to 100.79.127.254100.79.127.25516,382
63100.79.128.0/18100.79.128.1 to 100.79.191.254100.79.191.25516,382
64100.79.192.0/18100.79.192.1 to 100.79.255.254100.79.255.25516,382
65100.80.0.0/18100.80.0.1 to 100.80.63.254100.80.63.25516,382
66100.80.64.0/18100.80.64.1 to 100.80.127.254100.80.127.25516,382
67100.80.128.0/18100.80.128.1 to 100.80.191.254100.80.191.25516,382
68100.80.192.0/18100.80.192.1 to 100.80.255.254100.80.255.25516,382
69100.81.0.0/18100.81.0.1 to 100.81.63.254100.81.63.25516,382
70100.81.64.0/18100.81.64.1 to 100.81.127.254100.81.127.25516,382
71100.81.128.0/18100.81.128.1 to 100.81.191.254100.81.191.25516,382
72100.81.192.0/18100.81.192.1 to 100.81.255.254100.81.255.25516,382
73100.82.0.0/18100.82.0.1 to 100.82.63.254100.82.63.25516,382
74100.82.64.0/18100.82.64.1 to 100.82.127.254100.82.127.25516,382
75100.82.128.0/18100.82.128.1 to 100.82.191.254100.82.191.25516,382
76100.82.192.0/18100.82.192.1 to 100.82.255.254100.82.255.25516,382
77100.83.0.0/18100.83.0.1 to 100.83.63.254100.83.63.25516,382
78100.83.64.0/18100.83.64.1 to 100.83.127.254100.83.127.25516,382
79100.83.128.0/18100.83.128.1 to 100.83.191.254100.83.191.25516,382
80100.83.192.0/18100.83.192.1 to 100.83.255.254100.83.255.25516,382
81100.84.0.0/18100.84.0.1 to 100.84.63.254100.84.63.25516,382
82100.84.64.0/18100.84.64.1 to 100.84.127.254100.84.127.25516,382
83100.84.128.0/18100.84.128.1 to 100.84.191.254100.84.191.25516,382
84100.84.192.0/18100.84.192.1 to 100.84.255.254100.84.255.25516,382
85100.85.0.0/18100.85.0.1 to 100.85.63.254100.85.63.25516,382
86100.85.64.0/18100.85.64.1 to 100.85.127.254100.85.127.25516,382
87100.85.128.0/18100.85.128.1 to 100.85.191.254100.85.191.25516,382
88100.85.192.0/18100.85.192.1 to 100.85.255.254100.85.255.25516,382
89100.86.0.0/18100.86.0.1 to 100.86.63.254100.86.63.25516,382
90100.86.64.0/18100.86.64.1 to 100.86.127.254100.86.127.25516,382
91100.86.128.0/18100.86.128.1 to 100.86.191.254100.86.191.25516,382
92100.86.192.0/18100.86.192.1 to 100.86.255.254100.86.255.25516,382
93100.87.0.0/18100.87.0.1 to 100.87.63.254100.87.63.25516,382
94100.87.64.0/18100.87.64.1 to 100.87.127.254100.87.127.25516,382
95100.87.128.0/18100.87.128.1 to 100.87.191.254100.87.191.25516,382
96100.87.192.0/18100.87.192.1 to 100.87.255.254100.87.255.25516,382
97100.88.0.0/18100.88.0.1 to 100.88.63.254100.88.63.25516,382
98100.88.64.0/18100.88.64.1 to 100.88.127.254100.88.127.25516,382
99100.88.128.0/18100.88.128.1 to 100.88.191.254100.88.191.25516,382
100100.88.192.0/18100.88.192.1 to 100.88.255.254100.88.255.25516,382
101100.89.0.0/18100.89.0.1 to 100.89.63.254100.89.63.25516,382
102100.89.64.0/18100.89.64.1 to 100.89.127.254100.89.127.25516,382
103100.89.128.0/18100.89.128.1 to 100.89.191.254100.89.191.25516,382
104100.89.192.0/18100.89.192.1 to 100.89.255.254100.89.255.25516,382
105100.90.0.0/18100.90.0.1 to 100.90.63.254100.90.63.25516,382
106100.90.64.0/18100.90.64.1 to 100.90.127.254100.90.127.25516,382
107100.90.128.0/18100.90.128.1 to 100.90.191.254100.90.191.25516,382
108100.90.192.0/18100.90.192.1 to 100.90.255.254100.90.255.25516,382
109100.91.0.0/18100.91.0.1 to 100.91.63.254100.91.63.25516,382
110100.91.64.0/18100.91.64.1 to 100.91.127.254100.91.127.25516,382
111100.91.128.0/18100.91.128.1 to 100.91.191.254100.91.191.25516,382
112100.91.192.0/18100.91.192.1 to 100.91.255.254100.91.255.25516,382
113100.92.0.0/18100.92.0.1 to 100.92.63.254100.92.63.25516,382
114100.92.64.0/18100.92.64.1 to 100.92.127.254100.92.127.25516,382
115100.92.128.0/18100.92.128.1 to 100.92.191.254100.92.191.25516,382
116100.92.192.0/18100.92.192.1 to 100.92.255.254100.92.255.25516,382
117100.93.0.0/18100.93.0.1 to 100.93.63.254100.93.63.25516,382
118100.93.64.0/18100.93.64.1 to 100.93.127.254100.93.127.25516,382
119100.93.128.0/18100.93.128.1 to 100.93.191.254100.93.191.25516,382
120100.93.192.0/18100.93.192.1 to 100.93.255.254100.93.255.25516,382
121100.94.0.0/18100.94.0.1 to 100.94.63.254100.94.63.25516,382
122100.94.64.0/18100.94.64.1 to 100.94.127.254100.94.127.25516,382
123100.94.128.0/18100.94.128.1 to 100.94.191.254100.94.191.25516,382
124100.94.192.0/18100.94.192.1 to 100.94.255.254100.94.255.25516,382
125100.95.0.0/18100.95.0.1 to 100.95.63.254100.95.63.25516,382
126100.95.64.0/18100.95.64.1 to 100.95.127.254100.95.127.25516,382
127100.95.128.0/18100.95.128.1 to 100.95.191.254100.95.191.25516,382
128100.95.192.0/18100.95.192.1 to 100.95.255.254100.95.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses